OpenNMS API 1.2.9

## org.opennms.core.queue
Class FifoQueueClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.core.queue.FifoQueueException
                  org.opennms.core.queue.FifoQueueClosedException

All Implemented Interfaces:
  java.io.Serializable

public class FifoQueueClosedException
extends FifoQueueException

This exception is used to represent an error condition where an attempt is made to add an element to a closed `queue`.

Author:
  Brian Weaver , OpenNMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`FifoQueueClosedException()` Constructs a default instance of the excpetion.
`FifoQueueClosedException(java.lang.String why)` Constructs a new exception with the passed explination.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FifoQueueClosedException

    public FifoQueueClosedException()

  Constructs a default instance of the excpetion.

### FifoQueueClosedException

    public FifoQueueClosedException(java.lang.String why)

  Constructs a new exception with the passed explination.

Parameters:
  `why` - The explination message.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.